Page MenuHomePhabricator

Can't Publish changes in Safari or Microsoft Edge at nlwiki
Closed, InvalidPublic

Description

Editors at nlwiki say that people using either Safari or MS Edge are unable to save their changes.

I'm unable to reproduce (single attempt).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2019, 10:27 PM
DLynch added a subscriber: DLynch.Jan 23 2019, 5:11 PM

I cannot reproduce this with Safari, at least.

matmarex claimed this task.Jan 23 2019, 6:14 PM

I suspect that some script (either in our code, or in gadget code) is using some JavaScript functions that are more recent than the ES5 standard supported by those browsers. It's a very easy mistake to make. I can't reproduce the issue, but this can be fairly easily checked by searching the gadget code ;)

matmarex added a comment.EditedJan 23 2019, 6:41 PM

I think there isn't a real problem here. I read the discussion @Whatamidoing-WMF linked (https://nl.wikipedia.org/w/index.php?title=Wikipedia:De_kroeg&oldid=53054272#Afgeschrikte_bewerker) with some help from Google Translate. Most of it is about changing configuration of the edit tabs, or changing the default editor, and some annoying VE behaviors with some nl.wp templates or something (I'm not sure if I got all that right from the translated version). But the relevant comments are:

(this is the automatically translated version)

  • SvenDK indicated at the poll that there would still be a lot of problems with the visual word processor. According to him, the VE does not work properly on Safari and Edge (here). According to Effeietsanders, some templates with the VE are difficult to edit, also put forward during the poll (here). In any case, it seems to me first to analyze any defects and to check whether they can be solved. Best regards. HT (consultation) 20 Jan 2019 11:04 (CET)

there is still a lot of trouble with the visual text editor. He does not work properly on Safari and Edge.

  • I am happy to read some degree of agreement here! @HT: indeed the Safari and Edge problems have to be solved. I also think that we can not expect that VE will be able to use all Dutch templates, and that does not need nmm: for more complex templates, users can switch back to the source code. People who are working with this will generally also have a preference for working in code, in my personal assumption. @SvenDK: Would you like to let me know (preferably via mail) which problems you still encounter in Safari and Edge? Then I can see if I can raise the issues with the developers before we move on to a next poll or vote. Ciell 20 Jan 2019 16:28 (CET)
  • My comment was based on experience of about 6 months ago. Yesterday I have both Safari on my iPad with iOS 12 and on my new PC Windows 10 with Microsoft Edge 42.17134.1.0. With both of them I no longer have the basic problems that I used to have (can not save changes): SvenDK (consultation) 22 Jan 2019 07:09 (CET)

I can't say for sure what issue SvenDK might have been experiencing "about 6 months ago", but it might have been T200455 (which would crash the editor in affected browsers when trying to add a link), fixed in August. It doesn't quite match the description "can not save changes", but I'm going to assume it's just an imprecise description :) We now have mitigations in place against these problems reoccurring (first implemented in https://gerrit.wikimedia.org/r/c/mediawiki/core/+/463464, then moved to https://github.com/wikimedia/eslint-config-wikimedia, where they apply to all of our code).

For what it's worth, I also searched the gadgets on nl.wp (searching the MediaWiki: namespace using the built-in wiki search) for any uses of methods that are not available on these browsers (using the lists from eslint-config-wikimedia) and I did not find any.

matmarex closed this task as Invalid.Feb 26 2019, 5:04 PM